WordPress 5.2 „Jaco“

 

След успеха на WordPress версия 5.1, която е била свалена повече от 3 милиона пъти от пускането си насам, версия 5.2 вече е налична. Наречена е “Jaco”, на известния джаз басист Джако Пасториъс.

Днес ще ви покажем кои са основните промени в тази версия.

  1. Блок мениджмънт

Една от най-обсъжданите екстри е блок мениджмънт. Това е опцията потребителите да скриват или изключват блокове, които не използват. Блок мениджърът е изключително нужна функция, особено при притока на все повече блокове в WordPress, причинен от натиска ключови джаджи да бъдат преобразувани в такива. Друго често срещано явление е потребителите да инсталират купища от нови блокове, когато имат нужда само от няколко.

Някои плъгини, като Gutenberg Manager и Disable Gutenberg Blocks, вече предлагат опцията за блок мениджмънт, като всеки от тях има различен подход за извършване на действието.

 

  1. Минималната PHP Версия вече е 5.6

Считано от версия 5.1 на WordPress, всеки, който използва по-ниска PHP версия от 5.6 вижда съобщение да предприеме мерки. В тази нова версия това няма да е само съобщение, а изискване, като няма да можете да извършите ъпдейт, ако не използвате минимум PHP 5.6, като препоръчителната версия е 7.3.

За някой това може да не е голям фактор, но всъщност тази промяна е изключително важна. Приблизително 20% от WordPress сайтовете използват стара PHP версия и ще бъдат афектирани от тази промяна. В не един наш материал сме споделяли, че миграцията към по-висока версия на PHP вече е изискване.

 

Може да разгледате още:

Различни PHP версии на сайтове и директории в един хостинг акаунт (+видео)

Как да направим ултра-бърз WordPress сайт с помощта на LiteSpeed и PHP 7.2

 

Като допълнение, девелоперите загатнаха че това евентуално няма да е единствената промяна в тази насока. Много е вероятно до края на годината да видим ново покачване на минималната PHP версия до 7.х.

 

  1. Промяна към изискваната PHP версия и към плъгини

На практика това е налично още версия 5.1, но всички плъгини, които имат функция за автоматично обновяване заобикаляха това правило.

Считано от версия 5.2, това няма да е налично. Така ще бъдат избегнати много проблеми с коректното функциониране, както на самата ви страница, така и на отделни плъгини.

 

  1. Site Health

Това е ново меню в Tools от което ще може да проверявате както състоянието на самия ви сайт, така и на системата среда.

Добавени са предложения за разрешаването на грешки. Ето и нагледно как изглежда това поле:

 

 

Тук може само да адмирираме WordPress за препоръките, които предлага. Преднамерено сме използвали в този блог само темплейти от категорията “Twenty”, които са именно техни. Въпреки това, инструмента отчита, че те са налични и не се използват и препоръчват да бъдат премахнати.

Една от основните точки за постигането на по-високо ниво на сигурност е, именно премахването на всички неактивни теми или плъгини. Също така може да забележите и че друга тяхна препоръка е повдигането на PHP версията. Тук отново са необходими адмирации, защото в този тест сме използвали PHP 7.2. При последната версия (7.3) това съобщение не се визуализира. Това приканва всички да използват винаги последната налична PHP версия.

 

WordPress е широко използвана и гъвкава система за управление на съдържанието. Общността на WordPress е огромна, което предполага още бъдещи подобрения, които очакваме с нетърпение. А вие?

 

Вашият коментар

Вашият имейл адрес няма да бъде публикуван. Задължителните полета са отбелязани с *